# Need to access symbols from the X Server and other dlopen'ed modules
%define _disable_ld_no_undefined 1

Name: x11-driver-video-vesa
Version: 2.5.0
Release: %mkrel 3
Summary: X.org driver for Generic VESA Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-vesa-%{version}.tar.gz
License: MIT
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-server-source

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)
Requires: acl

Obsoletes: x11-driver-video-vga
Obsoletes: x11-driver-video-vermilion

%description
x11-driver-video-vesa is the X.org driver for Generic VESA Cards.

%prep
%setup -q -n xf86-video-vesa-%{version}
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std

%files
%{_libdir}/xorg/modules/drivers/vesa_drv.la
%{_libdir}/xorg/modules/drivers/vesa_drv.so
%{_mandir}/man4/vesa.4*

%changelog
* Tue Feb 08 2022 tex - 2.5.0-3pclos2022
- rebuild against updates

* Wed Feb 03 2021 tex - 2.5.0-2pclos2021
- req acl

* Wed Feb 03 2021 tex - 2.5.0-1pclos2021
- new version

* Sun Mar 31 2019 tex - 2.4.0-3pclos2019
- rebuild against updates

* Thu Mar 21 2019 tex - 2.4.0-2pclos2019
- rebuild against updates

* Sat Feb 17 2018 bb2 <bb2> - 2.4.0-1pclos2018
- new version

* Sun Mar 26 2017 bb2 <bb2> - 2.3.4-2.1pclos2017
- rebuilt

* Wed Jul 20 2016 bb <bb> 2.3.4-2pclos2016
- rebuild new xorg

